Hardware/Software Minimum Requirements

You must have anti-virus software installed on your computer. The software must be current and up to date.

You must have a network card (NIC) installed on your computer.

ITS recommends that you have Windows XP, Vista, or Windows 7 installed on your computer so that support can be provided for you if a problem should arise. Your computer should meet the minimum system requirements to install Windows XP. Go to microsoft.com for these requirements.

ITS recommends that you install anti-spyware software such as Spy-bot or Ad-Aware on your computer. These programs can be downloaded for free from www.download.com.

The following is the minimum hardware and software needed to complete your online classes at Eastern New Mexico University using Blackboard Learn 9.1:

Windows Minimum Requirements Recommended
Internet Connection: 256k Cable or DSL
Operating System: Windows XP Home Edition Windows 7
Computer Processor: Intel Pentium 4 3Ghz or AMD equivalent Pentium Core 2 Duo or better
Computer Memory: 2 GB 4 GB or more
Hard Drive: 80 GB 500 GB or larger
Networking: Ethernet or wireless networking Ethernet or wireless networking
Browser: Microsoft Internet Explorer, Mozilla Firefox, Google Chrome Microsoft Internet Explorer, Mozilla Firefox, Google Chrome
Office: Microsoft Office 2010 Student Edition Microsoft Office 2010

 

Mac OS X Minimum Requirements Recommended
Internet Connection: 256k Cable or DSL
Operating System: Mac OS X 10.5 Mac OS X 10.5 or later
Computer Processor: Intel-based Pentium Core 2 Duo or better
Computer Memory: 2 GB 4 GB or more
Hard Drive: 80 GB 500 GB or larger
Networking: Ethernet or wireless networking Ethernet or wireless networking
Browser: Apple Safari, Mozilla Firefox, Google Chrome Apple Safari, Mozilla Firefox, Google Chrome

 

Note: The minimum system requirements listed above are for courses that only make use of Blackboard Learn. This configuration is the minimum one that allows use to make use of the system. For courses that use Mediasite + Wimba, or Skype, having a system with the minimum requirements is not enough. In order to have the optimal experience in all courses, we strongly encourage you to have a system that at least meets the recommended requirements listed above.

 

Browsers plugins

The most recent version of the following plug-ins are required for many of the resources available in your online courses:

 

Mediasite Requirements

In addition to the general requirements listed above, you will need the following for courses that incorporate Mediasite:

  Windows Mac OS X
Media Player plugin Windows Media Player 9 n/a
Silverlight plugin Silverlight 1.0 Silverlight 5.0
Internet Connection: Cable or DSL, 256k or above Cable or DSL, 256k or above

 

Skype Requirements

In addition to the general requirements listed above for Mediasite, you will need the following for courses that incorporate Skype:

  Windows Mac OS X
Additional software: DirectX v9.0 or above Latest version of Quicktime
Additional hardware: Speakers and a microphone - built in or separate; webcam to make video calls - built in or separate
Internet Connection: Cable or DSL, 256k or above Cable or DSL, 256k or above

 

Wimba Requirements

In addition to the general requirements listed above for Mediasite, you will need the following for courses that incorporate Mediasite + Wimba:

  • Soundcard with microphone and speakers
  • Internet connection: Cable or DSL, 512k or above